﻿using System;
using System.Collections.Generic;
using System.IO.Ports;
using System.Linq;
using System.Net.Mail;
using System.Runtime.InteropServices;
using System.Security.AccessControl;
using System.Text;

namespace FlyDockTool
{
    public class deviceInfo
    {
        public string MachineCode { get; set; }// 设备型号
        public string MachineID { get; set; }// 设备后台编号
        public string MacAddress { get; set; }// 绑定的电脑标志信息
        public string MacConfigID { get; set; }// 后台设备接口配置编号
        public string InterFaceCode { get; set; }// 接口类型代码
        public string ChatSet { get; set; }// 字符集
        public string AckFlag { get; set; }// 应答ACK = 06H标志
        public string ResultPath { get; set; }//  结果存储路径
        public string DbCon { get; set; }//   数据库链接
        public string DbSql { get; set; }//   数据库Sql语句
        public string HL7TYPE { get; set; }//HL7协议类型标志
        public string ChatRoom { get; set; }//   HL7协议方式(UDP/TCP)
        public string HL7IP { get; set; }// HL7协议服务启动IP地址
        public string HL7Port { get; set; }// HL7协议服务监听端口
        public string PortName { get; set; }// 串口号
        public string BaudRate { get; set; }// 波特率
        public string DataBit { get; set; }//数据位
        public string Parity { get; set; }//校验位
        public string StopBits { get; set; }// 停止位
        public string HexFlag { get; set; }// 数据接收方式
        public string ImgPath { get; set; }//图像存储路径
    }
}
